server/apps/resume/urls.py
from django.urls import path
from .views import ResumeListView


app_name = 'resume'

urlpatterns = [
    path('', ResumeListView.as_view(), name='home'),
]

server/core/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('apps.resume.urls', namespace='resume'))
]

server/apps/resume/models.py
from django.db import models


class ContactInfo(models.Model):
    class Meta:
        verbose_name = 'контактные данные'

    name = models.CharField('имя', max_length=64)
    surname = models.CharField('фамилия', max_length=64)
    address = models.CharField('адрес', max_length=255, default='')
    phone = models.CharField('телефон', max_length=15)
    email = models.EmailField('email', max_length=64)
    photo = models.ImageField('фото', upload_to='photo')
    description = models.TextField('описание', max_length=2048, null=True, blank=True)

    def __str__(self):
        return self.name


class Character(models.Model):
    class Meta:
        verbose_name = 'характер'
        verbose_name_plural = 'характер'

    name = models.CharField('характер', max_length=255)
    description = models.TextField('описание', max_length=512)

    def __str__(self):
        return self.name


class Skill(models.Model):
    class Meta:
        verbose_name = 'навык'
        verbose_name_plural = 'навыки'

    name = models.CharField('навык', max_length=255)
    description = models.TextField('описание', max_length=512)
    score = models.PositiveSmallIntegerField('оценка навыка', default=50)
    icon = models.CharField('иконка Font Awesome', max_length=64, default='fab fa-check-square-o')

    def __str__(self):
        return self.name


class Education(models.Model):
    class Meta:
        verbose_name = 'образование'

    name = models.CharField('учебное заведение', max_length=255)
    degree = models.CharField('ученая степень', max_length=255)
    specialization = models.CharField('специализаия', max_length=255)
    gpa = models.DecimalField('средний балл', max_digits=4, decimal_places=2, default='5.00')
    date_for = models.DateField('дата начала обучения')
    date_to = models.DateField('дата окончания обучения')

    def __str__(self):
        return self.name


class Certificate(models.Model):
    class Meta:
        verbose_name = 'сертификат'
        verbose_name_plural = 'сертификаты'

    name = models.CharField('сертификат', max_length=255)
    score = models.PositiveSmallIntegerField('оценка', default=50)
    image = models.ImageField('изображение', upload_to='certifications',  null=True, blank=True)
    date = models.DateField('дата получения')
    url = models.URLField('ссылка на сертификат', max_length=255, default='https://')

    def __str__(self):
        return self.name


class Job(models.Model):
    class Meta:
        verbose_name = 'место работы'

    organisation = models.CharField('организация', max_length=255)
    position = models.TextField('должность', max_length=255)
    description = models.TextField('описание', max_length=2048)
    date_for = models.DateField('дата начала работы')
    date_to = models.DateField('дата окончания работы', null=True, blank=True)

    def __str__(self):
        return self.position


class Project(models.Model):
    class Meta:
        verbose_name = 'проект'
        verbose_name_plural = 'проекты'

    name = models.CharField('проект', max_length=255)
    description = models.TextField('описание', max_length=512)
    image = models.ImageField('изображение', upload_to='projects/', null=True, blank=True)
    url = models.URLField('ссылка', max_length=255, default='https://')

    def __str__(self):
        return self.name


class SocialNetwork(models.Model):
    class Meta:
        verbose_name = 'соцсеть'
        verbose_name_plural = 'соцсети'

    name = models.CharField('соцсеть', max_length=100)
    icon = models.CharField('иконка Font Awesome', max_length=50, default='fa fa-check-square-o')
    url = models.URLField('ссылка', max_length=255, default='https://')

    def __str__(self):
        return self.name

server/apps/resume/views.py
from django.views.generic import ListView

from apps.resume.models import Character, ContactInfo, Skill, Education, Certificate, Job, Project, SocialNetwork


class ResumeListView(ListView):
    model = Character
    template_name = 'index.html'

    def get_context_data(self, *, object_list=None, **kwargs):
        kwargs['contact_info'] = ContactInfo.objects.all().first()
        kwargs['skills'] = Skill.objects.all()
        kwargs['education'] = Education.objects.all()
        kwargs['certificates'] = Certificate.objects.all()
        kwargs['jobs'] = Job.objects.all().order_by('date_for')
        kwargs['projects'] = Project.objects.all()
        kwargs['social_networks'] = SocialNetwork.objects.all()
        return super(ResumeListView, self).get_context_data(**kwargs)

server/templates/index.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>Resume - Start Bootstrap Theme</title>
        <link rel="icon" type="image/x-icon" href="{% static 'assets/img/favicon.ico' %}" />
        <!-- Font Awesome icons (free version)-->
        <script src="https://use.fontawesome.com/releases/v5.15.3/js/all.js" crossorigin="anonymous"></script>
        <!-- Google fonts-->
        <link href="https://fonts.googleapis.com/css?family=Saira+Extra+Condensed:500,700" rel="stylesheet" type="text/css" />
        <link href="https://fonts.googleapis.com/css?family=Muli:400,400i,800,800i" rel="stylesheet" type="text/css" />
        <!-- Core theme CSS (includes Bootstrap)-->
        <link href="{% static 'css/styles.css' %}" rel="stylesheet" />
        <link href="{% static 'css/index.css' %}" rel="stylesheet" />
    </head>
    <body id="page-top">
        <!-- Navigation-->
        <nav class="navbar navbar-expand-lg navbar-dark bg-primary fixed-top" id="sideNav">
            <a class="navbar-brand js-scroll-trigger" href="#page-top">
                <span class="d-block d-lg-none">Clarence Taylor</span>
                <span class="d-none d-lg-block"><img class="img-fluid img-profile rounded-circle mx-auto mb-2" src="{{ contact_info.photo.url }}" alt="..." /></span>
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navbarResponsive">
                <ul class="navbar-nav">
                    <li class="nav-item"><a class="nav-link js-scroll-trigger" href="#about">About</a></li>
                    <li class="nav-item"><a class="nav-link js-scroll-trigger" href="#experience">Experience</a></li>
                    <li class="nav-item"><a class="nav-link js-scroll-trigger" href="#education">Education</a></li>
                    <li class="nav-item"><a class="nav-link js-scroll-trigger" href="#skills">Skills</a></li>
                    <li class="nav-item"><a class="nav-link js-scroll-trigger" href="#awards">Awards</a></li>
                </ul>
            </div>
        </nav>
        <!-- Page Content-->
        <div class="container-fluid p-0">
            <!-- About-->
            <section class="resume-section" id="about">
                <div class="resume-section-content">
                    <h1 class="mb-0">
                        {{ contact_info.surname }}
                        <span class="text-primary">{{ contact_info.name }}</span>
                    </h1>
                    <div class="subheading mb-5">
                        phone: <a href="tel:{{ contact_info.phone }}">{{ contact_info.phone }}</a><br>
                        email: <a href="mailto:name@email.com">{{ contact_info.email }}</a>
                    </div>
                    <p class="lead mb-5">{{ contact_info.description }}</p>
                    <div class="social-icons">
                        {% for item in social_networks %}
                            <a class="social-icon" href="{{ item.url }}" target="_blank"><i class="{{ item.icon }} fa-2x"></i></a>
                        {% endfor %}
                    </div>
                </div>
            </section>
            <hr class="m-0" />
            <!-- Experience-->
            <section class="resume-section" id="experience">
                <div class="resume-section-content">
                    <h2 class="mb-5">Experience</h2>
                    {% for job in jobs %}
                        <div class="d-flex flex-column flex-md-row justify-content-between">
                        <div class="flex-grow-1">
                            <h3 class="mb-0">{{ job.position }}</h3>
                            <div class="subheading mb-3">{{ job.organisation }}</div>
                            <p>{{ job.description }}</p>
                        </div>
                        <div class="flex-shrink-0"><span class="text-primary">{{ job.date_for }} - {{ job.date_to }}</span></div>
                    </div>
                        {% if forloop.counter != education.count %}<hr>{% endif %}
                    {% endfor %}
                </div>
            </section>
            <hr class="m-0" />
            <!-- Education-->
            <section class="resume-section" id="education">
                <div class="resume-section-content">
                    <h2 class="mb-5">Education</h2>
                    {% for item in education %}
                        <div class="d-flex flex-column flex-md-row justify-content-between">
                        <div class="flex-grow-1">
                            <h3 class="mb-0">{{ item.name }}</h3>
                            <div class="subheading mb-3">{{ item.degree }}</div>
                            <div>{{ item.specialization }}</div>
                            <p>GPA: {{ item.gpa }}</p>
                        </div>
                        <div class="flex-shrink-0">
                            <span class="text-primary">{{ item.date_for }} - {{ item.date_to }}</span>
                        </div>
                    </div>
                        {% if forloop.counter != education.count %}<hr>{% endif %}
                    {% endfor %}
                </div>
            </section>
            <hr class="m-0" />
            <!-- Skills-->
            <section class="resume-section" id="skills">
                <div class="resume-section-content">
                    <h2 class="mb-5">Skills</h2>
                    <div class="subheading mb-3">Programming Languages & Tools</div>
                    <div class="row">
                        {% for skill in skills %}
                        <div class="col-2 col-xg-1 col-md-1" style="text-align: center">
                            <div class="single-skill">
                                <i class="{{ skill.icon }} fa-2x fa-fw" title="{{ skill.description }}"></i>
                                <p>{{ skill.name }}</p>
                            </div>
                        </div>
                        {% endfor %}
                    </div>
                    <div class="subheading mb-3">Soft skills</div>
                    <ul class="fa-ul mb-0 character">
                        {% for ch in character_list %}
                            <li>
                            <span class="fa-li"><i class="fas fa-check"></i></span>
                            {{ ch.name }}
                        </li>
                        {% endfor %}
                    </ul>
                </div>
            </section>
            <hr class="m-0" />
            <!-- Awards-->
            <section class="resume-section" id="awards">
                <div class="resume-section-content">
                    <h2 class="mb-5">Awards & Certifications</h2>
                    <table class="table table-hover">
                        <thead>
                        <tr>
                            <th scope="col">Certificate</th>
                            <th scope="col">Ball</th>
                            <th scope="col">Date</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for certificate in certificates %}
                        <tr>
                            <td><a href="{{ certificate.url }}" target="_blank" class="awards_link">{{ certificate.name }}</a></td>
                            <td>{{ certificate.score }}</td>
                            <td>{{ certificate.date }}</td>
                        </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </section>
        </div>
        <!-- Bootstrap core JS-->
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/js/bootstrap.bundle.min.js"></script>
        <!-- Core theme JS-->
        <script src="{% static 'js/scripts.js' %}"></script>
    </body>
</html>